Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1343680 - cluster list firebug web console error
Summary: cluster list firebug web console error
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3
Assignee: sankarshan
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 16:26 UTC by Lubos Trilety
Modified: 2017-03-23 04:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 04:12:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lubos Trilety 2016-06-07 16:26:41 UTC
Description of problem:
There's an error in the firebug web console if user goes to Clusters page if there is some cluster created.

Error: Response for getList SHOULD be an array and not an object or something else C/m@http://<hostname>:8080/scripts/app.js:45:22259 s@http://<hostname>:8080/scripts/app.js:17:3744 u/<@http://<hostname>:8080/scripts/app.js:17:3916 $n/this.$get</h.prototype.$eval@http://<hostname>:8080/scripts/app.js:17:11429 $n/this.$get</h.prototype.$digest@http://<hostname>:8080/scripts/app.js:17:9933 $n/this.$get</h.prototype.$apply@http://<hostname>:8080/scripts/app.js:17:11714 o@http://<hostname>:8080/scripts/app.js:16:18562 m@http://<hostname>:8080/scripts/app.js:16:20412 Fe/</w.onload@http://<hostname>:8080/scripts/app.js:16:20955

Version-Release number of selected component (if applicable):
rhscon-core-0.0.21-1.el7scon.x86_64
rhscon-ceph-0.0.20-1.el7scon.x86_64
rhscon-ui-0.0.34-1.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create some cluster
2. Open firebug web console
3. Go to the Clusters page

Actual results:
There's an error

Expected results:
No error in the firebug web console

Additional info:

Comment 1 Nishanth Thomas 2016-06-17 11:05:06 UTC
Discussion with pgm and dev, decided to move to 3.0


Note You need to log in before you can comment on or make changes to this bug.